# spaCy Server

[![Built with spaCy](https://img.shields.io/badge/built%20with-spaCy-09a3d5.svg)](https://spacy.io)

This project provides industrial-strength NLP via [spaCy](https://spacy.io/)
and [sense2vec](https://github.com/explosion/sense2vec) over a containerized HTTP API.

If your organization or research team is using spaCy Server, create
an [issue](https://github.com/neelkamath/spacy-server/issues) with the name, logo, and/or link to have it added to the
README!

## Installation

### Virtual Env

1. virtualenv -p $(which python3) env
2. source env/bin/activate
3. python -m spacy download fr_core_news_md (or another model, fix the src/main.py accordingly)
4. ./server
5. test with ./client


### Docker
1. Install [Docker](https://hub.docker.com/search/?type=edition&offering=community).
2. Optionally, generate a wrapper for the HTTP API using [OpenAPI Generator](https://openapi-generator.tech/) on the
   file [`docs/spec/openapi.yaml`](https://github.com/neelkamath/spacy-server/raw/master/docs/spec/openapi.yaml).

### Nix

One can run spacy server directly via:
```shell
nix -L develop .#en
```
(we need to use `develop`, see https://blog.ysndr.de/posts/guides/2021-12-01-nix-shells/#shell-hooks).

## [Usage](https://hub.docker.com/r/neelkamath/spacy-server)

## [Contributing](docs/CONTRIBUTING.md)

## License

This project is under the [MIT License](LICENSE).
